Prerequisites for MacOS

All you need is Python and Homebrew installed, in order to install supervisely properly.

Note

If you already have Python and Homebrew installed, you can skip step 1 & 3. Recommended version: Python 3.8

Option 1: Pure Python

  1. Install package manager Homebrew.

/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"
brew update
  1. Install git and md5sum utilities. They will be needed later.

brew install git
brew install md5sha1sum
  1. Install Python 3.8.


Option 2: Miniconda

  1. Install package manager Homebrew.

/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"
brew update
  1. Install git, md5sum and other utilities. They will be needed later.

brew install git
brew install md5sha1sum
  1. Install Miniconda.

mkdir -p ~/temp
wget https://repo.anaconda.com/miniconda/Miniconda3-py38_4.8.3-MacOSX-x86_64.sh -O ~/temp/miniconda.sh
sudo bash ~/temp/miniconda.sh -bfp /usr/local
sudo conda install -y python=3.8
sudo conda clean --all --yes
rm -rf ~/temp/miniconda.sh